# In this file we'll be giving extra tutorialization about how to make choices
# in Python
# Choices in Python are accomplished with a construct called =if=
# It's written like this:

if 1 < 5:
    print("less I guess")

# note that this involves the text if, followed by a question we can ask about our code
# these questions are things like (1 < 5), choice == "quit", or (not continue)
# we'll explain what kinds of questions we can ask as we go in this class
# just let it sink in that you *can* ask questions about the data in your program
# and we'll cover the rest by example

# if-else
# Now you can also have your code test whether something is true and, if it is, do one thing
# if it's false, do another---experiment with changing the variables in this file in order to change the result

variable1 = 10
variable2 = 20

if variable1 < variable2:
    print("variable1 is smaller")
else:
    print("variable2 is smaller")

# finally we can talk about elif, which is a way of breaking apart your "if" into more than just two
# possibilities. Why? Because many things in code, as in life, are not dichotomies. You might have multiple
# choices, like if you have a menu---like the following code

# oh and we're also going to show a fun trick for formatting text: run this code and check out what the triple parens do!!
print(""" You suddenly find yourself in a text adveture game from the 1970s. Your world goes dark and then suddenly there is text that appears in front of you:

You have entered the Castle of the Python

Do you:
 + go left into the hallway that smells like wet dog
 + go right and down the cellar that's leaking candle wax??
 + go straight and into the throne room that keeps play vineboom.mp3

Please enter one of: left, right, straight""")

response = input(">> ")

if response == "left":
    print("You go left and are confronted by an irish wolfhound that rolled in *something*")
elif response == "right":
    print("You go right and down the cellar and come across the infamous Yankee Candle Beast")
elif response == "straight":
    print("This throne room is very loud and kinda played out")
else:
    print("Didn't really catch that: can you try again?")
